import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import { DropDown } from './DropDown.js'

const options = [
  { value: 'goldfish', label: 'Goldfish' },
  { value: 'dog', label: 'Dog' },
  { value: 'cat', label: 'Cat' },
  { value: 'hamster', label: 'Hamster' },
  { value: 'parrot', label: 'Parrot' },
  { value: 'spider', label: 'Spider' },
];

const initVal = 'hamster';

const App = () => {
  const [selectedVal, setSelectedVal] = useState(initVal);
  return (
    <DropDown
      options={options}
      onSelectedValChange={setSelectedVal}
      selectedVal={selectedVal}
      id={'pet-select'}
      labelText="Choose a pet: "
    />
  )
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
